﻿
.resizable {
    min-width: 100px;
    /*cursor:move*/
    /*    height: 100px;*/
    /*background-color: lightblue;
    display: flex;*/
    /*justify-content: center;
    align-items: center;*/
}
.itemRenderDemoDR .resizable, .viewDemoDR .resizable {
    min-height: 20px !important;
}
p{
    margin:0;
}
.viewDemoDR .resizable .blankSpaceObject {
    border:none !important;
}
.containerDemoDR {
    /*margin-bottom: 12px;*/
    padding: 0px 25px;
    width: max-content;
}
.bg-DRR {
    /*background-image: url(/img/bg-DRR.png);*/
    /*width: 157px;*/
    width: 100%;
    height: 60px;
    font-size: 1rem;
    line-height: 30px;
    cursor: move;
    display: flex;
    align-items: center;
    border: 1.5px solid #c7cbcb;
    border-radius: 0.25rem;
    justify-content: space-around;
    gap: 6px;
    padding-top: 6px;
    flex-direction: column;
}
.hoverContainer {
    padding: 0 10px;
    border: 1px solid transparent;
}
.itemCreateDemoDR .hoverContainer {
    padding: 0;
    width: 48%;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
}
.itemRenderDemoDR .hoverContainer:hover {
    border: 1px solid #4fddfa;
}
.itemRenderDemoDR .containerDemoDR:hover {
    background-color: #e2f2fe;
}
.itemRenderDemoDR .hoverContainer:hover .dropdownDS {
    display: inline-flex !important;
    justify-content: end;
}
.approvedObject .hoverContainer:hover {
    border: none;
}
/*.itemRenderDemoDR .hoverContainer.gu-transit {
    background-color: #e2f2fe;
}*/
.gu-transit {
    background-color: rgba(0, 161, 255);
}
.gu-transit .checkContent {
    opacity: 0;
}
.ql-size-small {
    font-size: 0.75em;
}

.ql-size-normal {
    font-size: 1em; 
}

.ql-size-large {
    font-size: 1.5em;
}

.ql-size-huge {
    font-size: 2em;
}
/*.modal-body .ql-container {
    height: 180px;
}*/
.itemRenderDemoDR a, .viewDemoDR a {
    pointer-events: none;
}
.itemRenderDemoDR .richText,
.viewDemoDR .richText,
.itemRenderDemoDR .ql-toolbar,
.viewDemoDR .ql-toolbar,
.itemRenderDemoDR input[type=radio],
.viewDemoDR input[type=radio],
.itemRenderDemoDR input[type=checkbox],
.viewDemoDR input[type=checkbox],
.itemRenderDemoDR .btnDropdownToggleBG-show,
.viewDemoDR .btnDropdownToggleBG-show,
.itemRenderDemoDR .btnFieldGroup,
.viewDemoDR .btnFieldGroup,
.itemRenderDemoDR .attachmentObject,
.viewDemoDR .attachmentObject {
    pointer-events: none !important;
}
.itemRenderDemoDR input[type=text] {
    pointer-events: none
}
/*.itemRenderDemoDR .ql-container {
    height: 100px;
}*/
.itemRenderDemoDR .custumBTUS {
    pointer-events: none;
}
.btnChangeIcon:hover {
    border: 4px solid #5496cd !important;
}
input.namePageDG:hover, input.namePageDG:focus {
    background-color: #e2f2fe;
    border: 1px solid #e3e7e8;
}
.iconChangeBg.active img {
    border: 4px solid #5496cd !important;
}
.list-box {
    max-height: 11rem;
    overflow: auto;
    border: 1.5px solid #e3e7e8;
    width: 100%;
}
.list-box div {
    padding: 5px 10px;
    cursor: pointer;
}
.list-box div[focused], .list-box div:hover {
    background-color: #e2f2fe;
}
.list-box div[selected] {
    position: relative;
}
.list-box div[selected] span {
    color: #5496cd !important;
    margin-left: 25px;
}
.list-box div[selected]::before {
    content: '';
    position: absolute;
    top: 8px;
    left: 10px;
    width: 16px;
    height: 16px;
    /*background-color: #5496cd;*/
        background-image: url(/img/icon/icons8-check-26.png); 
background-size: contain;
background-repeat: no-repeat;
}
.btnDropdownToggleBG, .btnDropdownToggleBG-show {
    text-align: start;
    border: .0625rem solid #bfbfbf;
    width: 100%;
    height: 36px;
    background-image: url(/img/icon/icons8-arrow-down-30DG.png);
    background-position: right 10px center;
    background-repeat: no-repeat;
    background-size: 16px 16px;
    padding-right: 30px;
}
.dropDownObRen {
    transform: translate(0px, 36px) !important;
    border-radius: 0 !important;
}
.dropDownObRen li {
}
.dropDownObRen a {
    position: relative;
    padding-left: 30px;
}
.dropdown-item.selected::before {
    content: '';
    position: absolute;
    top: 8px;
    left: 10px;
    width: 16px;
    height: 16px;
    background-image: url(/img/icon/icons8-check-26.png);
    background-size: contain;
    background-repeat: no-repeat;
}
.dropdown-item:focus,
.dropdown-item:hover,
.dropdown-item:active,
.dropdown-item.active {
    background-color: #e2f2fe !important;
    color: #5496cd !important;
    outline: none; 
    cursor:pointer;
}
.dropdown-item.selected {
    background-color: none !important;
    color: #5496cd !important;
}
.dropdown-item:focus {
    box-shadow: none !important;
}
.containerDpDg {
    display: flex;
    flex-direction: column;
}
.draggableOption {
    margin: 5px 0;
    cursor: move;
}
.custumTimeKT {
    padding: 5px 0 5px 5px;
}
.custom-time-picker {
    color: #ddd;
    line-height: 1.3;
    width: 100%;
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
}
.changePointer textarea, .changePointer input {
    pointer-events: all !important;
}
.changePointer textarea {
    resize: both;
}
.changePointer .fieldGroupObject .containerDemoDR:last-child {
    padding-bottom: 1rem;
}
/**/
.tableObject .styleInTable,
.tableListObject .styleInTable,
.tableCSharp .styleInTable {
    background-color: rgb(166, 191, 212, 0.3);
    padding: 2px 28px 2px 14px;
    height: 40px;
    color: #8fb4d3;
    font-weight: 600;
    border: 1.5px solid #8fb4d3;
    line-height: 40px;
}

.tableCSharp tr:nth-child(even) {
    background-color: rgb(166, 191, 212, 0.3);
}

.tableCSharp tr:nth-child(odd) {
    background-color: #ffffff;
}
.tableCSharp thead th:hover {
    /*background-color: #f39c12 !important;*/
}
.tableObject .inputInTable,
.tableListObject .inputInTable {
    padding: 8px;
    border: 1.5px solid #8fb4d3;
    height: 100%;
    margin: 0;
    /*display:flex;
    align-items:center;*/
    border-top: none;
}
.tableCSharp td {
    border: 1.5px solid #8fb4d3;
    padding: 8px;
}
.tableObject .containerDemoDR, .tableObject .hoverContainer,
.tableListObject .containerDemoDR, .tableListObject .hoverContainer {
    padding: 0;
}
.tableObject input,
.tableListObject input {
    margin: 0;
}
.tableObject .checkContent,
.tableObject .radioButtonObject,
.tableObject .checkBoxObject,
.tableObject .multiChoiceObject,
.tableObject .dropDownObject,
.tableListObject .checkContent,
.tableListObject .radioButtonObject,
.tableListObject .checkBoxObject,
.tableListObject .multiChoiceObject,
.tableListObject .dropDownObject {
    height: 100%
}
/**/
.check-list {
    margin: 0;
    padding: 5px;
    overflow: auto;
    max-height: 108px;
    border: 1px solid #8fb4d3;
}
.containerDpDg {
    max-height:200px;
    overflow:auto;
}
.check-box-item-wrapper {
    gap: 5px
}
.check-box-item-wrapper {
    height:24px
}
.check-list.list-box {
    padding:0;
    text-align:start;
}
.check-list.list-box li {
    padding-left:25px;
}
.check-list.list-box div[selected] {
    background-color: none !important;
    color: #5496cd !important;
}
.check-list.list-box .multi-choice-wrapper {
    padding:0;
    height:24px
}
.check-list.list-box div[selected]::before {
    top: 2px;
    left: 6px;
}
.viewDemoDR .contentTable {
    display:none;
}
.viewDemoDR .fieldGroupObject .contentUnHideFieldGroup {
    padding-bottom: 20px;
}
.file-select {
    cursor: pointer;
    color: #3498db;
}
.file-item {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.file-name {
    margin-right: 10px;
}

.remove-button {
    cursor: pointer;
    color: red;
    margin-right: 10px;
}

.image-preview {
    max-width: 300px;
    display: block;
    margin-bottom: 10px;
}

.image-display {
    margin-top: 10px;
}
.spanNameGroup {
    display: block;
    height: 56px;
    padding: 15px;
    padding-left: 45px;
}
/*.itemRenderDemoDR .inputCustum:disabled,
.viewDemoDR .inputCustum:disabled {
    background-color: white !important;
    opacity: 1;
    color: white !important;
}*/
.itemCreateDemoDR .labelRecordNumber.disabled,
.itemCreateDemoDR .labelCreatedBy.disabled,
.itemCreateDemoDR .labelCreatedDateTime.disabled,
.itemCreateDemoDR .labelUpdatedBy.disabled,
.itemCreateDemoDR .labelUpdatedDateTime.disabled,
.itemCreateDemoDR .labelCCTo.disabled,
.itemCreateDemoDR .labelApproved.disabled,
.itemCreateDemoDR .labelCalendar.disabled,
.itemCreateDemoDR .labelNotification.disabled,
.itemCreateDemoDR .labelLocation.disabled {
    background: rgb(136, 136, 136, 0.5);
    /*cursor: auto;*/
    cursor: not-allowed;
}
.changeStyleBorder {
    border-top: 1px dotted black
}
.remove-attachment {
    border: none;
    background-color: transparent;
    margin-right: 2px;
}
.remove-attachment:hover {
    background-color: #c5ced7;
}
.tableObject .richTextObject.inputInTable {
    display:block !important;
}
.changePointer .userSelectionObject .imgHideC {
    display: none !important;
}
.libre-barcode-39-regular * {
    all: unset !important;
    display: inline;
}
/*.libre-barcode-39-regular * {
    font-family: "Libre Barcode 39", system-ui;
    font-weight: 400;
    font-style: normal;
    font-size:60px
}*/
input[type=text].libre-barcode-39-regular {
    font-size:60px !important;
    height: 65px !important;
}
.calendarObject, .notificationObject {
    border: 1px solid #e3e7e8;
    background-color: #eee;
    padding: 16px 20px;
}
.horizontalOption2 {
    display: grid !important;
    grid-template-rows: repeat(2, auto);
    grid-auto-flow: column;
}
.verticalOption2 {
    display: grid !important;
    grid-template-columns: repeat(2, auto);
}